package com.duoqio.actuatorshiro.data.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.duoqio.actuatorshiro.data.entity.User;
import com.duoqio.actuatorshiro.data.repository.UserRepository;
import com.duoqio.actuatorshiro.data.service.DataService;

@Service
public class DataServiceImpl implements DataService {

	private UserRepository userRepository;
	
	@Autowired
	public DataServiceImpl(UserRepository userRepository) {
		super();
		this.userRepository = userRepository;
	}

	@Override
	public List<User> getData() {
		return userRepository.findAll();
	}

}
